/*
 * BustaGraphicsLayout.h
 * Defines the layout of graphical elements on the screen
 *
 * Created: July 29, 2005
 */


#ifndef BUSTAGRAPHICSLAYOUT_H
#define BUSTAGRAPHICSLAYOUT_H

//Board Layout
#define BOARD_SIZE				5

//Chef animation properties

//Health Bar Properties
#define HEALTH_BAR_WIDTH		200
#define HEALTH_BAR_HEIGHT		20
#define HEALTH_BAR_BG_COLOR		0x008C8C8C //Grey
#define HEALTH_BAR_FG_COLOR		0x00E71C1C //Blue
#define CHEF_MAX_HEALTH			100

//Customer's Order Display properties
#define ORDER_OVERLAP			25 //How much the next piece should move to the right from the left edge of the previous food piece
#define ORDER_LENGTH			5

//SP Game Screen Layout
#define BOARD_TOP_LEFT_X		275	
#define BOARD_TOP_LEFT_Y		100
#define FOOD_PIECE_GAP			0
#define SCORE_POS_X				100
#define SCORE_POS_Y				20
#define CHEF_TOP_LEFT_POS_X		75
#define CHEF_TOP_LEFT_POS_Y		300
#define HEALTH_BAR_POS_X		CHEF_TOP_LEFT_POS_X	+ (CHEF_WIDTH - HEALTH_BAR_WIDTH)/2 //center bottom of the chef
#define HEALTH_BAR_POS_Y		CHEF_TOP_LEFT_POS_Y + CHEF_HEIGHT
#define ORDER_POS_X				CHEF_TOP_LEFT_POS_X
#define ORDER_POS_Y				CHEF_TOP_LEFT_POS_Y - FOOD_PIECE_SIZE
#define TIP_JAR_POS_X			CHEF_TOP_LEFT_POS_X + CHEF_WIDTH
#define TIP_JAR_POS_Y			500
#define CUSTOMER_POS_X			75
#define CUSTOMER_POS_Y			ORDER_POS_Y - CUSTOMER_HEIGHT

#define SP_BG_COLOR				0x006dcff6 //Light Blue

//Main Screen Layout
enum MainScrnButton {MS_START_SP, MS_START_MP, MS_HIGH_SCORE, MS_OPTIONS, MS_QUIT, MS_NUM_BUTTONS};
#define MS_BG_COLOR_BLUE		0x006dcff6
#define MS_LOGO_POS_X 			0
#define MS_LOGO_POS_Y			0
//Buttons layout
#define MS_START_SP_POS_X		300
#define MS_START_SP_POS_Y		250
#define MS_START_SP_W			200
#define MS_START_SP_H			50

#define MS_START_MP_POS_X		300
#define MS_START_MP_POS_Y		300
#define MS_START_MP_W			200
#define MS_START_MP_H			50

#define MS_HIGH_SCORE_POS_X		300
#define MS_HIGH_SCORE_POS_Y		350
#define MS_HIGH_SCORE_W			200
#define MS_HIGH_SCORE_H			50

#define MS_OPTIONS_POS_X		300
#define MS_OPTIONS_POS_Y		400
#define MS_OPTIONS_W			200
#define MS_OPTIONS_H			50

#define MS_QUIT_POS_X			300
#define MS_QUIT_POS_Y			450
#define MS_QUIT_W				200
#define MS_QUIT_H				50



#endif
