/*	Filename:		BustaModelChef.h
 *	Description:	Busta' Sandwich Chef model.
 *
 */

#ifndef BUSTA_SANDWICH_CHEF
#define BUSTA_SANDWICH_CHEF

#include "BustaModelAnimation.h"
#include "BustaModelCharacter.h"

/**
 * @class BustaModelChef
 * @brief Chef model
 *
 *	Model representing the chef, includes health of chef
 */
class BustaModelChef
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelChef();

		/**
		 * @brief Destructor
		 *
		 * Destructor
		 *
		 */
		~BustaModelChef();


		/**
		 * @brief Gets Chef's Health
		 *
		 * Gets the current health of the chef
		 */
		int getHealth();

		/**
		 * @brief Sets Chef's health
		 *
		 * Sets the current health of the chef
		 */
		void setHealth(int h);


		BustaModelAnimation* getAnimation();
	

	private:
		int health;
		BustaModelAnimation* anim;
};

#endif