/*	Filename:		BustaModelCustomer.h
 *	Description:	Busta' Sandwich Customer model.
 *
 */

#ifndef BUSTA_SANDWICH_CUSTOMER
#define BUSTA_SANDWICH_CUSTOMER

#define WIDTH_2 5  //need to change this!


#include "BustaModelFoodPiece.h"
#include "BustaModelAnimation.h"


/**
 * @class BustaModelCustomer
 * @brief Customer model
 *
 * Model representing the customer.  Has time left on order as well as sandwich requested
 */
class BustaModelCustomer
{
	public:
		/**
		 * @brief Constructor
		 *
		 * Initializes variables
		 */
		BustaModelCustomer();

		/**
		 * @brief Destructor
		 *
		 */
		~BustaModelCustomer();


		/**
		 * @brief Time left on order
		 *
		 * Gets the time left on the customer order
		 */
		int getTime();

		/**
		 * @brief Sets order time
		 *
		 * Sets the time left on the order
		 */
		void setTime(int t);
		
		/**
		 * @brief Current order
		 *
		 * Returns pointer to the current Customer order
		 */
		BustaModelFoodPiece** getOrder();

		
		/**
		 * @brief Sets the current Customer order
		 *	
		 *	Currently a stub function
		 */
		void setOrder(BustaModelFoodPiece** o);



	private:
		int timeleft;
		BustaModelFoodPiece* order[WIDTH_2];

};

#endif