#include "BustaModelGameState.h"


BustaModelGameState::BustaModelGameState(){
	score = 0;
	tips = new BustaModelTipJar();
	chef = new BustaModelChef();
	cursor = new BustaModelCursor();
	srand((unsigned)time(NULL));
	bool random = true; ////////////////////BOOLEAN SETS A RANDOM BOARD & QUEUE
	int regular = 0;

	for(int i = 0; i < HEIGHT; i++){
		//regular = regular + 1;
		for(int j = 0; j<WIDTH; j++){
			if (random){
				int food = NUMFOODPIECES;
				int t = rand()%food;
				board[i][j] = new BustaModelFoodPiece((FoodType)t, 0);
			}
			else{
				board[i][j] = new BustaModelFoodPiece((FoodType)regular, 0);
			}

		}	
	}
////////////////////////////////////////////////////////////////
	if(random){ ////////////////////////random customer order queue

		FoodType ty;
		int ord_size = WIDTH - 1;

		BustaModelFoodPiece* order[WIDTH]; 
		
		for(int k = 0; k<NUMCUSTOMERS; k++){
			ord_size = WIDTH -1;
			customers[k] = new BustaModelCustomer();
			while(ord_size >=0){
				ty = (FoodType)((rand())% NUMFOODPIECES);
				order [ord_size] = new BustaModelFoodPiece(ty,0);
				ord_size--;
			}
			customers[k]->setOrder(order);
		}
	}
//////////////////////////////////////////////////////////////////////
	for(int k = 0; k<NUMCUSTOMERS; k++){
			customers[k] = new BustaModelCustomer();
	}
}

BustaModelGameState::~BustaModelGameState(){
	delete tips;
	delete chef;
	delete cursor;

	for(int i =0; i<HEIGHT; i++){
		for(int j = 0; j<WIDTH; j++){
			delete board[i][j];
		}	
	}

	for(int k = 0; k<NUMCUSTOMERS; k++){
		delete customers[k];
	}
}


int BustaModelGameState::getScore(){
	return score;
}

void BustaModelGameState::setScore(int s){
	score = s;
}

void BustaModelGameState::addCustomer(BustaModelCustomer* c){
	if(customers[NUMCUSTOMERS-1]!= NULL)
	{
		delete customers[0];
		
		for(int i=0; i<NUMCUSTOMERS-1; i++){
			customers[i] = customers[i+1];
		}
	}

	customers[NUMCUSTOMERS-1] = c;
}

int BustaModelGameState::removeCustomer(BustaModelCustomer* c){
	int i = 0;

	while(customers[i]!=c && i<NUMCUSTOMERS){
		i++;
	}

	if(i==NUMCUSTOMERS){
		return -1;
	}
	else{
		delete customers[i];
		c = NULL;
		for(i;i<NUMCUSTOMERS-1;i++){
			customers[i] = customers[i+1];
		}
		customers[NUMCUSTOMERS-1] = NULL;
		return 0;
	}
}


BustaModelCustomer*  BustaModelGameState::getCustomer(int n){
	return customers[n];
}


BustaModelTipJar* BustaModelGameState::getTipJar(){
	return tips;
}


BustaModelFoodPiece* BustaModelGameState::getBoard(int i,int j){
	return board[i][j];
}


BustaModelChef* BustaModelGameState::getChef(){
  return chef;
}

BustaModelCursor* BustaModelGameState::getCursor(){
  return cursor;
}


void BustaModelGameState::setBoard(int i,int j, BustaModelFoodPiece* fp){
	board[i][j] = fp;
}

void BustaModelGameState::removeFromBoard(int i, int j){
	delete board[i][j];
	board[i][j]=NULL;
}
