/*	Filename:		BustaNetMsgQNode.cpp
 *	Description:	Implementation of a message queue node.
 *
 */

#include "BustaNetMsgQNode.h"
#include <stdlib.h>

BustaNetMsgQNode::BustaNetMsgQNode()
{
	nodeMsg = NULL;		// no message
	nextNode = NULL;	// no next node
}

BustaNetMsgQNode::BustaNetMsgQNode(BustaNetInternalMsg* newMsg)
{
	nodeMsg = newMsg;	// set the node's message
	nextNode = NULL;	// no next node
}

BustaNetMsgQNode::~BustaNetMsgQNode()
{
	nodeMsg = NULL;
	nextNode = NULL;
}

BustaNetInternalMsg* BustaNetMsgQNode::getMsg()
{
	return nodeMsg;
}

BustaNetMsgQNode* BustaNetMsgQNode::getNext()
{
	return nextNode;
}

void BustaNetMsgQNode::setNext(BustaNetMsgQNode* newNextNode)
{
	nextNode = newNextNode;
}
